%{?drupal7_find_provides_and_requires}

%global module views_bulk_operations

Name:          drupal7-%{module}
Version:       3.3
Release:       1%{?dist}
Summary:       Provides a way of selecting multiple rows and applying operations to them

Group:         Applications/Publishing
License:       GPLv2+
URL:           http://drupal.org/project/%{module}
Source0:       http://ftp.drupal.org/files/projects/%{module}-7.x-%{version}.tar.gz

BuildArch:     noarch
BuildRoot:     %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildRequires: drupal7-rpmbuild >= 7.22-5

Requires:      drupal7(entity)
#Requires:      drupal7(views)
Requires:      drupal7-views
# phpcompatinfo (computed from version 3.3)
Requires:      php-date
Requires:      php-pcre
Requires:      php-zip

%description
This module augments Views by allowing bulk operations to be executed on the
displayed rows. It does so by showing a checkbox in front of each node, and
adding a select box containing operations that can be applied. Drupal Core or
Rules actions can be used.

This package provides the following Drupal modules:
* %{module}
* actions_permissions


%prep
%setup -qn %{module}


%build
# Empty build section, nothing to build


%install
rm -rf %{buildroot}
mkdir -p %{buildroot}%{drupal7_modules}/%{module}
cp -pr * %{buildroot}%{drupal7_modules}/%{module}/


%clean
rm -rf %{buildroot}


%files
%defattr(-,root,root,-)
%{?_licensedir:%license LICENSE.txt}
%{drupal7_modules}/%{module}


%changelog
* Mon Jul 06 2015 Shawn Iwinski <shawn.iwinski@gmail.com> - 3.3-1
- Updated to 3.3 (RHBZ #1238487)
- Removed RPM README b/c it only explained common Drupal workflow
- Keep documentation where end-users expect it
- %%license usage
- Spec cleanup

* Wed Jun 17 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 3.2-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 3.2-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Sun Jan 05 2014 Peter Borsa <peter.borsa@gmail.com> - 3.2-1
- Update to upstream 3.2 release for bugfixes
- Upstream changelog for this release is available at https://drupal.org/node/2161705

* Sat Aug 03 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 3.1-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Wed Feb 13 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 3.1-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Mon Dec 03 2012 Jared Smith <jsmith@fedoraproject.org> - 3.1-3
- Update to upstream 3.1 release
- Remove pre-release versioning from spec file

* Wed Jul 18 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 3.0-0.2.rc1
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Sun Feb 12 2012 Jared Smith <jsmith@fedoraproject.org> - 3.0-0.1.rc1
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Fri Jan 13 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 3.0-0.2.beta3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Tue Oct 18 2011 Peter Borsa <peter.borsa@gmail.com> - 3.0-0.1.beta3
- Initial packaging.
